(defun c:ASVIGA ()
  
  (defun mostrarResultado (As)
    (alert (strcat "Área de acero requerida: " (rtos As 2 3) " cm²"))
  )

  (setq fc (atof (getstring "\nIngrese la resistencia a la compresión del concreto f'c (kg/cm²): ")))
  (setq fy  (atof (getstring "\nIngrese la resistencia a la tracción del acero fy (kg/cm²): ")))
  (setq b   (atof (getstring "\nIngrese el ancho de la viga b (cm): ")))
  (setq d   (atof (getstring "\nIngrese la altura de la viga d (cm): ")))
  (setq Mu   (atof (getstring "\nIngrese la carga máxima M (kg-cm): ")))
  (setq ø 0.9) ; factor de reducción de resistencia para flexión
  (setq i (/ (* 0.85 ø fc b) 2) )
  (setq ii (* -0.85 ø fc d b) )
  (setq iii Mu )
  (setq a ( / ( - (* ii -1) (sqrt (- (expt ii 2) (* 4 i iii))  ) )(* 2 i) ))
  (setq As (/ (* 0.85 fc a b) fy ))
  (mostrarResultado As)
  (princ)
) 
;CREADO POR LUIS CARDENAS, neoluist@gmail.com, www.ingenieriafacil.com
;WEB: https://beacons.ai/neoluist
;CURSO AUTOLISP: https://www.udemy.com/course/autolisp-recursos-descargables-para-autocad/?referralCode=51433BE4745543474CB9